.hidden {
  visibility: hidden;
}
.loader-overlay {
  position: absolute;
  width: 100%;
  z-index: 500000;
  top: 5;
}
.loader {
  height: 4px;
  width: 100%;
  position: relative;
  overflow: hidden;
  background-color: #FFF;
}
.loader:before {
  display: block;
  position: absolute;
  content: "";
  left: -200px;
  width: 200px;
  height: 4px;
  background-color: red;
  animation: loading 2s linear infinite;
}
@keyframes loading {
  from {left: -200px; width: 30%;}
  50% {width: 30%;}
  70% {width: 70%;}
  80% {left: 50%;}
  95% {left: 120%;}
  to {left: 100%;}
}
